For the complete documentation index, see llms.txt. This page is also available as Markdown.

Transferal records

Get transferal records

get

Get transferal records for the authenticated user, including both incoming and outgoing transfers with pagination. Each record has a 'direction' field indicating "incoming" or "outgoing", and a 'status' field indicating "pending" or "confirmed".

Authorizations
Query parameters
pageintegerOptional

Page number for pagination, default is 1

limitintegerOptional

Limit number of records per page, default is 10

statusstringOptional

Filter by transfer status: 'pending' (not yet spent) or 'confirmed' (already spent). If omitted, returns all records.

Header parameters
X-API-KEYstringRequired

API Key

Responses
200

Paginated transferal records

application/json
total_countintegerOptional
total_pageintegerOptional
get/accounts/transferal-records
GET /accounts/transferal-records HTTP/1.1
X-API-KEY: text
Accept: */*
{
  "data": [
    {
      "assets": [
        {
          "asset": "text",
          "asset_unit": "text",
          "qty": 1
        }
      ],
      "created_at": "text",
      "direction": "incoming",
      "status": "pending",
      "transferal_type": "normal",
      "tx_hash": "text"
    }
  ],
  "total_count": 1,
  "total_page": 1
}

Get transferal record by transaction hash

get

Get a single transferal record by its transaction hash. Returns the record with direction (incoming/outgoing) and status (pending/confirmed).

Authorizations
Path parameters
tx_hashstringRequired

Transaction hash

Header parameters
X-API-KEYstringRequired

API Key

Responses
200

Transferal record details

application/json
created_atstringOptional
directionstring · enumOptionalPossible values:
statusstring · enumOptionalPossible values:
transferal_typestring · enumOptionalPossible values:
tx_hashstringOptional
get/accounts/transferal-records/{tx_hash}
GET /accounts/transferal-records/{tx_hash} HTTP/1.1
X-API-KEY: text
Accept: */*
{
  "assets": [
    {
      "asset": "text",
      "asset_unit": "text",
      "qty": 1
    }
  ],
  "created_at": "text",
  "direction": "incoming",
  "status": "pending",
  "transferal_type": "normal",
  "tx_hash": "text"
}

Last updated